/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkspinbutton.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKSPINBUTTON_H
#define GTOOLKIT_GTKSPINBUTTON_H

#include <gtk/gtkspinbutton.h>
#include <GToolKit/GTKEntry.h>

@class GTKAdjustment;

@interface GTKSpinButton : GTKEntry
+ (GtkType) getType;
- (void) configure:(GTKAdjustment *) adjustment climbRate:(gfloat) climb_rate digits:(guint) digits;
+ (id) spinButtonWithAdjustment:(GTKAdjustment *) adjustment climbRate:(gfloat) climb_rate digits:(guint) digits;
- (id) initWithAdjustment:(GTKAdjustment *) adjustment climbRate:(gfloat) climb_rate digits:(guint) digits;
- (void) setAdjustment:(GTKAdjustment *) adjustment;
- (GTKAdjustment*) getAdjustment;
- (void) setDigits:(guint) digits;
- (gfloat) getValueAsFloat;
- (gint) getValueAsInt;
- (void) setValue:(gfloat) value;
- (void) setUpdatePolicy:(GtkSpinButtonUpdatePolicy) policy;
- (void) setNumeric:(gboolean) numeric;
- (void) spin:(GtkSpinType) direction increment:(gfloat) increment;
- (void) setWrap:(gboolean) wrap;
- (void) setShadowType:(GtkShadowType) shadow_type;
- (void) setSnapToTicks:(gboolean) snap_to_ticks;
- (void) update;
@end

#endif /* GTOOLKIT_GTKSPINBUTTON_H */
