/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkaspectframe.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKASPECTFRAME_H
#define GTOOLKIT_GTKASPECTFRAME_H

#include <gtk/gtkaspectframe.h>
#include <GToolKit/GTKBin.h>

@interface GTKAspectFrame : GTKBin
+ (GtkType) getType;
+ (id) aspectFrameWithLabel:(NSString *) label xalign:(gfloat) xalign yalign:(gfloat) yalign ratio:(gfloat) ratio obeyChild:(gboolean) obey_child;
- (id) initWithLabel:(NSString *) label xalign:(gfloat) xalign yalign:(gfloat) yalign ratio:(gfloat) ratio obeyChild:(gboolean) obey_child;
- (void) set:(gfloat) xalign yalign:(gfloat) yalign ratio:(gfloat) ratio obeyChild:(gboolean) obey_child;
@end

#endif /* GTOOLKIT_GTKASPECTFRAME_H */
